﻿
namespace EntityFrameworkVisualizer.VisualizerObjectSources.CommandFormatters
{
    /// <summary>
    /// Interface for command formatting.
    /// </summary>
    internal interface IDbCommandFormatter
    {
        /// <summary>
        /// Formatting parameters.
        /// </summary>
        /// <returns>Formatted string.</returns>
        string DeclareParameters();

        /// <summary>
        /// Formatting stored procedure.
        /// </summary>
        /// <returns>Formatted string.</returns>
        string FormatStoredProcedure();
    }
}
